﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Diagnostics;
using MediaPortal;

namespace yrWeather
{
    public partial class Settings : Form
    {

        #region variables

        private string _urlLocation;

        #endregion

        public Settings()
        {
            InitializeComponent();
            linkYR.Links.Add(0, linkYR.Text.Length, linkYR.Text);
            LoadSettings();
            textBoxUrl.Text = _urlLocation;
        }

        #region Serialisation

        private void LoadSettings()
        {
            using (MediaPortal.Profile.Settings xmlreader = new MediaPortal.Profile.MPSettings())
            {
                _urlLocation = xmlreader.GetValueAsString("yrWeather", "location", string.Empty);
            }
        }

        private void SaveSettings()
        {
            using (MediaPortal.Profile.Settings xmlwriter = new MediaPortal.Profile.MPSettings())
            {
                xmlwriter.SetValue("yrWeather", "location", _urlLocation);
            }
        }

        #endregion

        private void OnUrlChanged(object sender, EventArgs e)
        {
            _urlLocation = textBoxUrl.Text;
        }

        private void btnOK_click(object sender, EventArgs e)
        {
            SaveSettings();
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void linkClick(object sender, LinkLabelLinkClickedEventArgs e)
        {
            ProcessStartInfo sInfo = new ProcessStartInfo(e.Link.LinkData.ToString());
            Process.Start(sInfo);
        }
    }
}
